/*     */ package net.rubyeye.xmemcached.impl;
/*     */ 
/*     */ import com.google.code.yanf4j.core.CodecFactory.Decoder;
/*     */ import com.google.code.yanf4j.core.CodecFactory.Encoder;
/*     */ import com.google.code.yanf4j.core.Handler;
/*     */ import java.net.InetAddress;
/*     */ import java.net.InetSocketAddress;
/*     */ import java.nio.ByteOrder;
/*     */ import net.rubyeye.xmemcached.buffer.BufferAllocator;
/*     */ import net.rubyeye.xmemcached.networking.MemcachedSession;
/*     */ import net.rubyeye.xmemcached.utils.InetSocketAddressWrapper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ClosedMemcachedTCPSession
/*     */   implements MemcachedSession
/*     */ {
/*     */   private InetSocketAddressWrapper inetSocketAddressWrapper;
/*  23 */   private volatile boolean allowReconnect = true;
/*     */   
/*     */ 
/*     */   public ClosedMemcachedTCPSession(InetSocketAddressWrapper inetSocketAddressWrapper)
/*     */   {
/*  28 */     this.inetSocketAddressWrapper = inetSocketAddressWrapper;
/*     */   }
/*     */   
/*     */ 
/*     */   public void destroy() {}
/*     */   
/*     */   public InetSocketAddressWrapper getInetSocketAddressWrapper()
/*     */   {
/*  36 */     return this.inetSocketAddressWrapper;
/*     */   }
/*     */   
/*     */   public int getOrder() {
/*  40 */     return this.inetSocketAddressWrapper.getOrder();
/*     */   }
/*     */   
/*     */   public int getWeight() {
/*  44 */     return this.inetSocketAddressWrapper.getWeight();
/*     */   }
/*     */   
/*     */   public boolean isAllowReconnect() {
/*  48 */     return this.allowReconnect;
/*     */   }
/*     */   
/*     */ 
/*     */   public void quit() {}
/*     */   
/*     */   public void setAllowReconnect(boolean allow)
/*     */   {
/*  56 */     this.allowReconnect = allow;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setBufferAllocator(BufferAllocator allocator) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void clearAttributes() {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void close() {}
/*     */   
/*     */ 
/*     */   public void flush() {}
/*     */   
/*     */ 
/*     */   public Object getAttribute(String key)
/*     */   {
/*  77 */     return null;
/*     */   }
/*     */   
/*     */   public CodecFactory.Decoder getDecoder()
/*     */   {
/*  82 */     return null;
/*     */   }
/*     */   
/*     */   public CodecFactory.Encoder getEncoder()
/*     */   {
/*  87 */     return null;
/*     */   }
/*     */   
/*     */   public Handler getHandler()
/*     */   {
/*  92 */     return null;
/*     */   }
/*     */   
/*     */   public long getLastOperationTimeStamp()
/*     */   {
/*  97 */     return 0L;
/*     */   }
/*     */   
/*     */   public InetAddress getLocalAddress()
/*     */   {
/* 102 */     return null;
/*     */   }
/*     */   
/*     */   public ByteOrder getReadBufferByteOrder()
/*     */   {
/* 107 */     return null;
/*     */   }
/*     */   
/*     */   public InetSocketAddress getRemoteSocketAddress() {
/* 111 */     return this.inetSocketAddressWrapper.getInetSocketAddress();
/*     */   }
/*     */   
/*     */   public long getScheduleWritenBytes()
/*     */   {
/* 116 */     return 0L;
/*     */   }
/*     */   
/*     */   public long getSessionIdleTimeout()
/*     */   {
/* 121 */     return 0L;
/*     */   }
/*     */   
/*     */   public long getSessionTimeout()
/*     */   {
/* 126 */     return 0L;
/*     */   }
/*     */   
/*     */   public boolean isClosed() {
/* 130 */     return true;
/*     */   }
/*     */   
/*     */   public boolean isExpired()
/*     */   {
/* 135 */     return false;
/*     */   }
/*     */   
/*     */   public boolean isHandleReadWriteConcurrently() {
/* 139 */     return true;
/*     */   }
/*     */   
/*     */   public boolean isIdle()
/*     */   {
/* 144 */     return false;
/*     */   }
/*     */   
/*     */   public boolean isLoopbackConnection()
/*     */   {
/* 149 */     return false;
/*     */   }
/*     */   
/*     */   public boolean isUseBlockingRead()
/*     */   {
/* 154 */     return false;
/*     */   }
/*     */   
/*     */   public boolean isUseBlockingWrite()
/*     */   {
/* 159 */     return false;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void removeAttribute(String key) {}
/*     */   
/*     */ 
/*     */   public void setAttribute(String key, Object value) {}
/*     */   
/*     */ 
/*     */   public Object setAttributeIfAbsent(String key, Object value)
/*     */   {
/* 172 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setDecoder(CodecFactory.Decoder decoder) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void setEncoder(CodecFactory.Encoder encoder) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void setHandleReadWriteConcurrently(boolean handleReadWriteConcurrently) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void setReadBufferByteOrder(ByteOrder readBufferByteOrder) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void setSessionIdleTimeout(long sessionIdleTimeout) {}
/*     */   
/*     */ 
/*     */ 
/*     */   public void setSessionTimeout(long sessionTimeout) {}
/*     */   
/*     */ 
/*     */   public void setUseBlockingRead(boolean useBlockingRead) {}
/*     */   
/*     */ 
/*     */   public boolean isAuthFailed()
/*     */   {
/* 205 */     return false;
/*     */   }
/*     */   
/*     */   public void setAuthFailed(boolean authFailed) {}
/*     */   
/*     */   public void setUseBlockingWrite(boolean useBlockingWrite) {}
/*     */   
/*     */   public void start() {}
/*     */   
/*     */   public void write(Object packet) {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\net\rubyeye\xmemcached\impl\ClosedMemcachedTCPSession.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */